Page MenuHomePhabricator

[wmf.16-regression] Saved query names displayed shifted up
Closed, ResolvedPublic

Description

  1. On RC page save a set of filters and give it a name with letters that have descenders (p, y, j, g).
  2. The filter's name will bi displayed cut off and misaligned (shifted up), which the most likely cause for cutoff descenders.

Betalabs:


The shift-up occurs for the filter names without descenders:

Compare with wmf.15

Note: testwiki wmf.16 displays the issue:

Details

Related Gerrit Patches:
mediawiki/core : masterFix saved query names cutoff

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptAug 24 2017, 10:17 PM
Mattflaschen-WMF renamed this task from [betalabs-regression] Filters's names displayed shifted up to [betalabs-regression] Saved query names displayed shifted up.Aug 25 2017, 5:16 PM
Etonkovidova updated the task description. (Show Details)Aug 30 2017, 4:46 PM
Etonkovidova renamed this task from [betalabs-regression] Saved query names displayed shifted up to [wmf.16-regression] Saved query names displayed shifted up.Sep 1 2017, 6:35 PM

This most likely happened after we changed the saved queries title from "we don't care how long this is" to "trim it at 1 line". The display options make it hard to align now, but need to be looked into.

Change 377967 had a related patch set uploaded (by Petar.petkovic; owner: Petar.petkovic):
[mediawiki/core@master] Fix saved query names cutoff

https://gerrit.wikimedia.org/r/377967

Petar.petkovic added a subscriber: Petar.petkovic.

This most likely happened after we changed the saved queries title from "we don't care how long this is" to "trim it at 1 line". The display options make it hard to align now, but need to be looked into.

You are correct, overflow: hidden, that was needed for ellipsis crop of long query titles, caused the issue.

Change 377967 merged by jenkins-bot:
[mediawiki/core@master] Fix saved query names cutoff

https://gerrit.wikimedia.org/r/377967

Checked the fix in betalabs - looks good.

Etonkovidova closed this task as Resolved.Sep 14 2017, 6:15 PM